paketinstallations problem, ubuntu

Permalänk
Medlem

paketinstallations problem, ubuntu

jag installerade ubuntu 6.10, idag sen skulle jag installera wine, mythtv och lite fler program, med ändelsen tar.bz2 hur gör man ?? , bara packa upp och sen då?

filer med .run ändelse hur installerar man dom?. pakethanterare, vilken?

med ändelsen sh då?, står bara could not open , paketet kan vara skadat, lika så på .run filerna...

Permalänk
Medlem

tar xvjf program-version.tar.bz2
cd program-version
./configure
make
sudo make install

./programnamn.run

./programnamn.sh

Permalänk
Medlem

hej, jag har ett problem när det gäller att installera filer med ändelsen tar.bz2, det går utmärkt att skriva och utföra kommandot ./configure men när jag skriver make så får jag upp att det är ett okänt kommando. är det någon som vet vad de är för fel? eller vad jag gör för fel?

Permalänk
Medlem
Citat:

Ursprungligen inskrivet av tazzan
hej, jag har ett problem när det gäller att installera filer med ändelsen tar.bz2, det går utmärkt att skriva och utföra kommandot ./configure men när jag skriver make så får jag upp att det är ett okänt kommando. är det någon som vet vad de är för fel? eller vad jag gör för fel?

sudo apt-get install make

(med reservation för att jag inte har någon som helst koll på apt)

Edit: ja, gcc och liknande paket borde du väl också se till att installera... jag har svårt att tänka mig att ett configure-script slutför utan problem, någon sorts sanity-check bör misslyckas om du inte har make/gcc/<insert random essential development package here> installerat.

Permalänk
Medlem

Bygg inte program själva, det är bara onödigt krångligt. Speciellt om man är ny.
Använd pakethanteraren istället, det finns gott om program i Ubuntus förråd.

Permalänk
Medlem

sudo apt-get install synaptic

Starta det, sök efter programet som du vill installera, markera för installation, apply. vipps så har du automagiskt installerat programet.

Permalänk
Medlem

Om man verkligen måste installera från källkod i Ubuntu så får man installera "build-essential". Då får man allt man behöver för att bygga program från källkod.

sudo apt-get install build-essential

Permalänk
Medlem

tack för tipsen, jag ska göra lite nya försök ikväll.